Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.databeans
Class JSRowSetBrowser

    java.lang.Object
      |
      +--oracle.jdeveloper.html.WebBeanImpl
            |
            +--oracle.jdeveloper.html.DataWebBeanImpl
                  |
                  +--oracle.jbo.html.databeans.JSRowSetBrowser

public class JSRowSetBrowser
extends DataWebBeanImpl

Fields inherited from class oracle.jdeveloper.html.DataWebBeanImpl
`attributeRenderers, bReleaseApplication, dispAttrs, qView, sApplication, sRowSetName`

Fields inherited from class oracle.jdeveloper.html.WebBeanImpl
`application, ctx, out, page, request, response, session`

Constructor Summary
`JSRowSetBrowser()`

Method Summary
`void` | `addImageUrlColumn(java.lang.String sTitle, java.lang.String sImageFile, java.lang.String sUrl)` Adds an additional column with an image-based URL.
`void` | `addImageUrlColumn(java.lang.String sTitle, java.lang.String sImageFile, java.lang.String sUrl, java.lang.String sTarget)` Adds an additional column with an image-based URL.
`void` | `addTextUrlColumn(java.lang.String sTitle, java.lang.String sText, java.lang.String sUrl)` Adds an additional column that contains a line of text that represents a URL.
`void` | `addTextUrlColumn(java.lang.String sTitle, java.lang.String sText, java.lang.String sUrl, java.lang.String sTarget)` Adds an additional column that contains a line of text that represents a URL.
`java.lang.String` | `fixupUrl(java.lang.String sUrl, java.lang.String sExtra)`
`java.lang.String` | `getRowUrl()` Returns the current Row URL setting.
`java.lang.String` | `getRowUrlTargetWindow()` Returns the name of the window being used as the Row URL target.
`boolean` | `getShowCurrentRow()` Returns whether the current RowSet row is highlighted when the HTML table is rendered.
`int` | `getVisibleRows()` Returns the number of rows displayed (that is, "visible rows") in the RowSet browser.
`void` | `internalInitialize()` Internal initialize.
`protected void` | `prepareForRendering()`
`void` | `render()` Renders an HTML table that contains records from the View Object's RowSet.
`void` | `setAttributeTitle(java.lang.String sAttribute, java.lang.String sTitle)` Sets the column title of the given attribute.
`void` | `setRowEditTargetWindow(java.lang.String sName)` Sets the target window for the row editing URL.
`void` | `setRowEditUrl(java.lang.String sUrl)` Sets the row editing URL that is invoked when the user clicks the Edit button.
`void` | `setRowUrl(java.lang.String sUrl)` Sets the Row URL to be invoked when the user clicks the row number to the left of each row.
`void` | `setRowUrlTargetWindow(java.lang.String sUrl)` If you enabled the Row URL, this function sets up the target window for the URL when the user activates it.
`void` | `setShowCurrentRow(boolean bSet)` Enables or disables highlighting of the current RowSet's row when the HTML table is rendered.
`void` | `setShowRecordNumbers(boolean bShow)` Sets whether the control will render the record numbers in the browser.
`void` | `setVisibleRows(int nRows)` Sets the number of rows to be displayed by the RowSet browser.

Methods inherited from class oracle.jdeveloper.html.DataWebBeanImpl
`clearDisplayAttributes, getApplicationFromContext, getApplicationName, getAttributeLabel, getDisplayAttributeDefs, getDisplayAttributes, getDisplayFieldRenderer, getEditFieldRenderer, getRowFromKey, getRowKey, getRowSet, getViewObjectName, handleCommit, initialize, initialize, initialize, isAppStateful, releaseApplicationResources, releaseApplicationResources, setDisplayAttributes, setDisplayFieldRenderer, setDisplayFieldRenderer, setEditFieldRenderer, setEditFieldRenderer, setReleaseApplicationResources, setRowSet, shouldDisplayAttribute`

Methods inherited from class oracle.jdeveloper.html.WebBeanImpl
`generateScriptSrc, getCookie, getOut, getRenderingContext, getRequest, getRequestVariable, getUniqueName, initBeanForJS, initialize, initialize, initialize, render, setRequestVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSRowSetBrowser

    public JSRowSetBrowser()

Method Detail

### setRowEditUrl

    public void setRowEditUrl(java.lang.String sUrl)

  Sets the row editing URL that is invoked when the user clicks the Edit button. Typically, an "Action" column will be created in the table, containing an Edit icon. If this URL is set to null, the column will not appear.
  Parameters:
    `sUrl` - the URL to invoke when the Edit button is clicked.

### setRowEditTargetWindow

    public void setRowEditTargetWindow(java.lang.String sName)

  Sets the target window for the row editing URL.
  Parameters:
    `sName` - name of the target window.

### setAttributeTitle

    public void setAttributeTitle(java.lang.String sAttribute,
                                  java.lang.String sTitle)

  Sets the column title of the given attribute.
  Parameters:
    `sAttribute` - attribute name.
    `sTitle` - column title for attribute.

### setShowRecordNumbers

    public void setShowRecordNumbers(boolean bShow)

  Sets whether the control will render the record numbers in the browser.
  Parameters:
    `bShow` - `true` to display record number; `false` to suppress record numbers.

### addTextUrlColumn

    public void addTextUrlColumn(java.lang.String sTitle,
                                 java.lang.String sText,
                                 java.lang.String sUrl,
                                 java.lang.String sTarget)

  Adds an additional column that contains a line of text that represents a URL. The text will be repeated in each of the column's rows. This column will be appended after all of the columns that represent attributes belonging to the RowSet.
  Parameters:
    `sTitle` - text to use as the column title.
    `sText` - text that will be used to represent the URL.
    `sUrl` - URL that will be invoked when text is clicked.
    `sTarget` - the target for the URL. This is useful when you are using HTML FRAMES.

### addTextUrlColumn

    public void addTextUrlColumn(java.lang.String sTitle,
                                 java.lang.String sText,
                                 java.lang.String sUrl)

  Adds an additional column that contains a line of text that represents a URL. The text will be repeated in each of the column's rows. This column will be appended after all of the columns that represent attributes belonging to the RowSet.
  Parameters:
    `sTitle` - text to use as the column title.
    `sText` - text that will be used to represent the URL.
    `sUrl` - URL that will be invoked when text is clicked.

### addImageUrlColumn

    public void addImageUrlColumn(java.lang.String sTitle,
                                  java.lang.String sImageFile,
                                  java.lang.String sUrl,
                                  java.lang.String sTarget)

  Adds an additional column with an image-based URL. This image will be repeated in each of the column's rows. This column will be appended after all of the columns that represent attributes belonging to the RowSet.
  Parameters:
    `sTitle` - text to use as the column title.
    `sImageFile` - URL for locating the image to be displayed.
    `sUrl` - URL that will be invoked when image is clicked.
    `sTarget` - the target for the URL. This is useful when you are using HTML FRAMES.

### addImageUrlColumn

    public void addImageUrlColumn(java.lang.String sTitle,
                                  java.lang.String sImageFile,
                                  java.lang.String sUrl)

  Adds an additional column with an image-based URL. This image will be repeated in each of the column's rows. This column will be appended after all of the columns that represent attributes belonging to the RowSet.
  Parameters:
    `sTitle` - text to use as the column title.
    `sImageFile` - URL for locating the image to be displayed.
    `sUrl` - URL that will be invoked when text is clicked.

### setRowUrlTargetWindow

    public void setRowUrlTargetWindow(java.lang.String sUrl)

  If you enabled the Row URL, this function sets up the target window for the URL when the user activates it.

### getRowUrlTargetWindow

    public java.lang.String getRowUrlTargetWindow()

  Returns the name of the window being used as the Row URL target.
  Returns:
    name of the window used as the Row URL target.

### setRowUrl

    public void setRowUrl(java.lang.String sUrl)

  Sets the Row URL to be invoked when the user clicks the row number to the left of each row. An additonal parameter is appended to your URL to pass the row number of the row that was clicked. The `RowSetNavigator` and `NavigatorBar` Data Web Beans process the extra URL parameter to place the RowSet currency on the row represented by this index.
  Parameters:
    `sUrl` - Row URL of the

### getRowUrl

    public java.lang.String getRowUrl()

  Returns the current Row URL setting. The value can be null.
  Returns:
    current Row URL.

### setShowCurrentRow

    public void setShowCurrentRow(boolean bSet)

  Enables or disables highlighting of the current RowSet's row when the HTML table is rendered.
  Parameters:
    `bSet` - `true` to highlight the current RowSet row; `false` to not highlight the row.

### getShowCurrentRow

    public boolean getShowCurrentRow()

  Returns whether the current RowSet row is highlighted when the HTML table is rendered.
  Returns:
    `true` if the current row is highlighted; `false` otherwise.

### setVisibleRows

    public void setVisibleRows(int nRows)

  Sets the number of rows to be displayed by the RowSet browser. Any value you provide will also alter the RowSet's RangeSize. This is important because the RangeSize is the sliding window used to traverse the RowSet. If you set the visible rows to -1 all the rows will be displayed. To see an example of how the RangeSize is manipulated, look at the source code for the NavigatorBar Data Web Bean. All source code to the Web Beans is in `jbohtmlsrc.zip`.
  Parameters:
    `nRows` - number of rows to display in the RowSet browser.

### getVisibleRows

    public int getVisibleRows()

  Returns the number of rows displayed (that is, "visible rows") in the RowSet browser.
  Returns:
    number of rows displayed in the RowSet browser.

### internalInitialize

    public void internalInitialize()
                            throws java.lang.Exception

  Description copied from interface: WebBean
  Internal initialize. This method should be overriden by any WebBean needing to initialize some internal data after all the base class member have been initialize properly.
  Overrides:
    internalInitialize in class DataWebBeanImpl

### prepareForRendering

    protected void prepareForRendering()
                                throws java.lang.Exception

### render

    public void render()
                throws java.lang.Exception

  Renders an HTML table that contains records from the View Object's RowSet. This is the View Object to which the RowSetBrowser object was initialized.
  Overrides:
    render in class WebBeanImpl

### fixupUrl

    public java.lang.String fixupUrl(java.lang.String sUrl,
                                     java.lang.String sExtra)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD